Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JMSSessionPoolMBean

public interface JMSSessionPoolMBean
extends ConfigurationMBean, JMSConstants

This bean represents a JMS session pool.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`boolean` | `addConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)` Add a connection consumer.
`java.lang.String` | `getAcknowledgeMode()` Return the acknowledge mode of the SessionPool.
`JMSConnectionConsumerMBean[]` | `getConnectionConsumers()` Return a read-only array of the ConnectionConsumers of the SessionPool.
`java.lang.String` | `getConnectionFactory()` Return the JNDI name of the connection factory for the session pool
`java.lang.String` | `getListenerClass()` Return the name of the listener class for the SessionPool.
`int` | `getSessionsMaximum()` Return the maximum number of sessions allowed for the SessionPool.
`boolean` | `isTransacted()` Check if the SessionPool is transacted.
`boolean` | `removeConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)` Remove a ConnectionConsumer.
`void` | `setAcknowledgeMode(java.lang.String acknowledgeMode)` Set the acknowledge mode of the SessionPool.
`void` | `setConnectionConsumers(JMSConnectionConsumerMBean[] consumers)` Set all connection consumers in this SessionPool.
`void` | `setConnectionFactory(java.lang.String connectionFactory)` Set the connection factory JNDI name of the SessionPool.
`void` | `setListenerClass(java.lang.String name)` Set the listener class of the SessionPool.
`void` | `setSessionsMaximum(int maxSessions)` Set the maximum number of sessions allowed for the SessionPool.
`void` | `setTransacted(boolean transacted)` Set the SessionPool to be transacted or non-transacted.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getConnectionConsumers

    public JMSConnectionConsumerMBean[] getConnectionConsumers()

  Return a read-only array of the ConnectionConsumers of the SessionPool.

  A non-configurable MBean attribute.

### setConnectionConsumers

    public void setConnectionConsumers(JMSConnectionConsumerMBean[] consumers)
                                throws javax.management.InvalidAttributeValueException

  Set all connection consumers in this SessionPool.

### addConnectionConsumer

    public boolean addConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Add a connection consumer.

  A dynamic MBean attribute
  Parameters:
    `connectionConsumer` - a reference to JMSConnectionConsumerMBean

### removeConnectionConsumer

    public boolean removeConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)
                                     throws javax.management.InvalidAttributeValueException,
                                            DistributedManagementException

  Remove a ConnectionConsumer.

  A dynamic MBean attribute
  Parameters:
    `connectionConsumer` - a reference to JMSConnectionConsumerMBean
  Throws:
    java.lang.IllegalArgumentException - if the ConnectionConsumer does not exist.

### getConnectionFactory

    public java.lang.String getConnectionFactory()

  Return the JNDI name of the connection factory for the session pool

### setConnectionFactory

    public void setConnectionFactory(java.lang.String connectionFactory)
                              throws javax.management.InvalidAttributeValueException

  Set the connection factory JNDI name of the SessionPool.

  Default Value: null
  Parameters:
    `name` - the JNDI name of the ConnectionFactory used by the SessionPool

### getListenerClass

    public java.lang.String getListenerClass()

  Return the name of the listener class for the SessionPool.

### setListenerClass

    public void setListenerClass(java.lang.String name)
                          throws javax.management.InvalidAttributeValueException

  Set the listener class of the SessionPool.

  Legal Value: value != void && value.trim().length() != 0
  Legal NULL: false

### getAcknowledgeMode

    public java.lang.String getAcknowledgeMode()

  Return the acknowledge mode of the SessionPool.

### setAcknowledgeMode

    public void setAcknowledgeMode(java.lang.String acknowledgeMode)
                            throws javax.management.InvalidAttributeValueException

  Set the acknowledge mode of the SessionPool.

  Default Value: ACKNOWLEDGE_MODE_AUTO
  Legal Values: ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE

### getSessionsMaximum

    public int getSessionsMaximum()

  Return the maximum number of sessions allowed for the SessionPool.

### setSessionsMaximum

    public void setSessionsMaximum(int maxSessions)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Set the maximum number of sessions allowed for the SessionPool.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: ((value == -1) || ((value >= 1) && (value <= ((1 << 63) -1))))
  Legal Minimum Value: -1

### isTransacted

    public boolean isTransacted()

  Check if the SessionPool is transacted.

### setTransacted

    public void setTransacted(boolean transacted)
                       throws javax.management.InvalidAttributeValueException

  Set the SessionPool to be transacted or non-transacted.

  Default Value: false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD